:root{
  --primary: #fff;
  --bg-color: rgb(5, 53, 61);
  --bg-envelope-color: #f5edd1;
  --envelope-tab: #ecdeb8;
  --envelope-cover: #e6cfa7;
  --shadow-color: rgba(0, 0, 0, 0.2);
  --txt-color: #444;
  --heart-color: rgb(252, 8, 231);
}
body{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  background: var(--bg-color);
  display: flex;
  align-items: center;
  justify-content: center;
}
.container {
  height: 100vh;
  display: grid;
  place-items: center;
}
.container > .envelope-wrapper {
  background-image: url('farm.jpg');
  background-size: cover;
  box-shadow: 0 0 40px var(--shadow-color);
  
   /* tamanho base */
  width: min(80vw, 300px);
  aspect-ratio: 300 / 230;

  /* sistema de proporção */
  --heart-top: 38%;
  --heart-width: 23%;
  --heart-height: 26%;

  --letter-width: 54%;
  --letter-height: 80%;
  --letter-right: 20%;
}
.envelope-wrapper > .envelope {
    
  position: relative;
  width: 300px;
  height: 230px;
}
.envelope-wrapper > .envelope::before {
  content: "";
  position: absolute;
  inset: 0;
  z-index: 2;
  
  background-image: url('farm.jpg');
  border: #000000 1px solid;
  background-size: cover;
  background-position: center;

  clip-path: polygon(
     0 0,
    100% 0,
    50% 60%
  );

  transform-origin: top;
  transition: all 0.5s ease-in-out 0.7s;
  
}
.envelope-wrapper > .envelope::after {
  content: "";
  position: absolute;
  inset: 0;
  z-index: 2;

   background-image: url('farm.jpg');
  background-size: cover;
background-position: center;

   clip-path: polygon(
  0 0,        /* topo esquerdo */
  50% 50%,    /* ponta do flap (encaixe) */
  100% 0,     /* topo direito */
  100% 70%,   /* lateral direita */
  100% 100%,   /* ponta inferior */
  0 100%       /* lateral esquerda */
);



 
}
.envelope > .letter {
  position: absolute;
  right: 20%;
  bottom: 0;
  width: 54%;
  height: 80%;
 background-image: url('letterbg.jpg');
    background-size: cover;
  text-align: center;
  transition: all 1s ease-in-out;
  box-shadow: 0 0 5px var(--shadow-color);
  padding: 20px 10px;

  
}

.envelope > .letter > .text {
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  color: var(--txt-color);
  text-align: left;
  font-size: 10px;
}
.heart {
  position: absolute;
  top: 45%;
  left: 50%;



  width: 70px;
  height: 60px;
  background-image: url('jhonny.png');
  background-size: cover;

  --rotate: 0deg;

  transform: translate(-50%, 10%) rotate(var(--rotate));
  z-index: 4;
  transition: transform 0.5s ease-in-out 1s;

  cursor: pointer;
}


.flap > .envelope:before {
  transform: rotateX(180deg);
  z-index: 0;
}
.flap > .envelope > .letter {
  bottom: 180px;
  transform: scale(1.5);
  transition-delay: 1s;
}
.flap > .heart {
  --rotate: -45deg;

}